Skip to main content
`Ctrl`+`K`

# DMSwarmAddCellDM

Adds a cell `DM` to the `DMSWARM`

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmAddCellDM(DM sw, DMSwarmCellDM celldm)

Collective

## Input Parameters

- sw - a `DMSWARM`

- celldm - the `DMSwarmCellDM`

## Note

Cell DMs with the same name will share the cellid field

## See Also

`DM`, `DMSWARM`, `DMSwarmSetType()`, `DMSwarmPushCellDM()`, `DMSwarmSetCellDM()`, `DMSwarmMigrate()`

## Level

beginner

## Location

src/dm/impls/swarm/swarm.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages